Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.protocol.http.micp
Class MICPProp

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.Resource
                  |
                  +--org.w3c.jigsaw.config.PropertySet
                        |
                        +--org.w3c.www.protocol.http.micp.MICPProp

All Implemented Interfaces:
  java.lang.Cloneable

public class MICPProp
extends PropertySet

Field Summary

Fields inherited from class org.w3c.jigsaw.config.PropertySet
`server`

Fields inherited from class org.w3c.tools.resources.Resource
`ATTR_CONTEXT, ATTR_HELP_URL, ATTR_IDENTIFIER, ATTR_LAST_MODIFIED, ATTR_PARENT, ATTR_RESOURCE_FRAMES, ATTR_STORE_ENTRY, ATTR_URL, co, id`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, values`

Constructor Summary
`MICPProp(java.lang.String name, httpd server)`

Method Summary
`java.lang.String` | `getTitle()` Get this property set title.

Methods inherited from class org.w3c.jigsaw.config.PropertySet
`convertingGet, getHelpURL, getHelpURL, getValue, initialize, setValue, unsafeGetValue`

Methods inherited from class org.w3c.tools.resources.Resource
`acceptUnload, checkMultipleLock, collectFrames, delete, getClone, getContext, getFrame, getFrames, getIdentifier, getLastModified, getParent, getResourceReference, getServer, getSpace, getSpaceEntry, getStoreEntry, getURLPath, getValue, initialize, isInitialized, isUnloaded, markModified, notifyUnload, pickleValues, registerFrame, setContext, setContext, setValue, unregisterFrame, unsafeGetContext, updateAttributes`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, lookupAttribute, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MICPProp

    public MICPProp(java.lang.String name,
                    httpd server)

Method Detail

### getTitle

    public java.lang.String getTitle()

  Get this property set title.

  Overrides:
    `getTitle` in class `PropertySet`
  Returns:
    A String encoded title.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD